<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <form name="editForm" role="form" novalidate v-on:submit.prevent="save()">
        <h2
          id="gatewayApp.manillaPresionSanguinea.home.createOrEditLabel"
          data-cy="PresionSanguineaCreateUpdateHeading"
          v-text="$t('gatewayApp.manillaPresionSanguinea.home.createOrEditLabel')"
        >
          Create or edit a PresionSanguinea
        </h2>
        <div>
          <div class="form-group" v-if="presionSanguinea.id">
            <label for="id" v-text="$t('global.field.id')">ID</label>
            <input type="text" class="form-control" id="id" name="id" v-model="presionSanguinea.id" readonly />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaPresionSanguinea.presionSanguineaSistolica')"
              for="presion-sanguinea-presionSanguineaSistolica"
              >Presion Sanguinea Sistolica</label
            >
            <input
              type="number"
              class="form-control"
              name="presionSanguineaSistolica"
              id="presion-sanguinea-presionSanguineaSistolica"
              data-cy="presionSanguineaSistolica"
              :class="{
                valid: !$v.presionSanguinea.presionSanguineaSistolica.$invalid,
                invalid: $v.presionSanguinea.presionSanguineaSistolica.$invalid,
              }"
              v-model.number="$v.presionSanguinea.presionSanguineaSistolica.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaPresionSanguinea.presionSanguineaDiastolica')"
              for="presion-sanguinea-presionSanguineaDiastolica"
              >Presion Sanguinea Diastolica</label
            >
            <input
              type="number"
              class="form-control"
              name="presionSanguineaDiastolica"
              id="presion-sanguinea-presionSanguineaDiastolica"
              data-cy="presionSanguineaDiastolica"
              :class="{
                valid: !$v.presionSanguinea.presionSanguineaDiastolica.$invalid,
                invalid: $v.presionSanguinea.presionSanguineaDiastolica.$invalid,
              }"
              v-model.number="$v.presionSanguinea.presionSanguineaDiastolica.$model"
            />
          </div>
          <div class="form-group">
            <label
              class="form-control-label"
              v-text="$t('gatewayApp.manillaPresionSanguinea.fechaRegistro')"
              for="presion-sanguinea-fechaRegistro"
              >Fecha Registro</label
            >
            <div class="d-flex">
              <input
                id="presion-sanguinea-fechaRegistro"
                data-cy="fechaRegistro"
                type="datetime-local"
                class="form-control"
                name="fechaRegistro"
                :class="{ valid: !$v.presionSanguinea.fechaRegistro.$invalid, invalid: $v.presionSanguinea.fechaRegistro.$invalid }"
                :value="convertDateTimeFromServer($v.presionSanguinea.fechaRegistro.$model)"
                @change="updateInstantField('fechaRegistro', $event)"
              />
            </div>
          </div>
          <div class="form-group">
            <label class="form-control-label" v-text="$t('gatewayApp.manillaPresionSanguinea.user')" for="presion-sanguinea-user"
              >User</label
            >
            <select class="form-control" id="presion-sanguinea-user" data-cy="user" name="user" v-model="presionSanguinea.user">
              <option v-bind:value="null"></option>
              <option
                v-bind:value="presionSanguinea.user && userOption.id === presionSanguinea.user.id ? presionSanguinea.user : userOption"
                v-for="userOption in users"
                :key="userOption.id"
              >
                {{ userOption.login }}
              </option>
            </select>
          </div>
        </div>
        <div>
          <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" v-on:click="previousState()">
            <font-awesome-icon icon="ban"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.cancel')">Cancel</span>
          </button>
          <button
            type="submit"
            id="save-entity"
            data-cy="entityCreateSaveButton"
            :disabled="$v.presionSanguinea.$invalid || isSaving"
            class="btn btn-primary"
          >
            <font-awesome-icon icon="save"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.save')">Save</span>
          </button>
        </div>
      </form>
    </div>
  </div>
</template>
<script lang="ts" src="./presion-sanguinea-update.component.ts"></script>
